[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#631396: marked as done (flash-kernel: Please add support for Toshiba AC100)



Your message dated Wed, 24 Aug 2011 12:32:16 +0000
with message-id <E1QwCcy-0002PT-BA@franck.debian.org>
and subject line Bug#631396: fixed in flash-kernel 3.0~rc.1
has caused the Debian Bug report #631396,
regarding flash-kernel: Please add support for Toshiba AC100
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
631396: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631396
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: flash-kernel
Severity: wishlist

This bug is for adding support for the Toshiba AC100, a
Tegra 2 based notebook, to flash-kernel. The AC100 boots
from an Android boot partition located on its internal
eMMC storage.

I am including the code currently used in the 
“Toshiba Tegra AC100 Hardware enablement” PPA
for Ubuntu, written by Oliver Grawert.

We could in generalise this a bit by replacing
ac100 with android, the code probably works
for multiple other Android devices as well.

A Recommends/Suggests for abootimg would need
to be added as well.

-- Current code:
"Toshiba AC100 / Dynabook AZ")
		AC_IMG=""
		AC_SIZE=""
		AC_MMC="/dev/mmcblk0"

		TMPIMAGE=$(tempfile)
		CONFIG=""

		find_ac100_bootpart()
		{
			for dev in $(ls ${AC_MMC}?? 2>/dev/null); do
				if abootimg -i $dev >/dev/null 2>&1; then
					size=$(abootimg -i $dev |grep "image size"|cut -d ' ' -f5)
					 if [ $size -gt 5242880 ]; then
						 AC_IMG=$dev
						 AC_SIZE=$size
						 return 0
					 fi
				fi
			done
			return 1
		}

		build_ac100_bootimage()
		{
			if [ -e /boot/bootimg.cfg ]; then
				abootimg --create $TMPIMAGE -f /boot/bootimg.cfg -k $kfile \
					-r $ifile >/dev/null 2>&1 || return 1
				imagesize=$(wc -c "$TMPIMAGE" | awk '{print $1}')
				check_size "Bootimage" $imagesize $AC_SIZE
			else
				printf "Could not find /boot/bootimg.cfg."
				return 1
			fi
		}

		write_ac100_bootimage()
		{
			printf "Writing boot image to $AC_IMG ... "
			dd if=$TMPIMAGE of=$AC_IMG >/dev/null 2>&1 || return 1
			echo "done." >&2
		}

		if ! find_ac100_bootpart; then
			rm -rf $TMPIMAGE
			error "Could not find boot image partition on $AC_MMC."
		fi

		if ! build_ac100_bootimage; then
			rm -rf $TMPIMAGE
			error "Could not create temporary boot image."
		fi

		if ! write_ac100_bootimage; then
			rm -rf $TMPIMAGE
			error "Can not flash to $AC_IMG"
		fi

		rm -rf $TMPIMAGE
	;;

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (950, 'unstable'), (250, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-rc2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.

Attachment: pgpLk7FmLOT_s.pgp
Description: PGP signature


--- End Message ---
--- Begin Message ---
Source: flash-kernel
Source-Version: 3.0~rc.1

We believe that the bug you reported is fixed in the latest version of
flash-kernel, which is due to be installed in the Debian FTP archive:

flash-kernel-installer_3.0~rc.1_armel.udeb
  to main/f/flash-kernel/flash-kernel-installer_3.0~rc.1_armel.udeb
flash-kernel_3.0~rc.1.dsc
  to main/f/flash-kernel/flash-kernel_3.0~rc.1.dsc
flash-kernel_3.0~rc.1.tar.gz
  to main/f/flash-kernel/flash-kernel_3.0~rc.1.tar.gz
flash-kernel_3.0~rc.1_armel.deb
  to main/f/flash-kernel/flash-kernel_3.0~rc.1_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated flash-kernel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 24 Aug 2011 12:47:34 +0100
Source: flash-kernel
Binary: flash-kernel flash-kernel-installer
Architecture: source armel
Version: 3.0~rc.1
Distribution: experimental
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 flash-kernel - utility to make certain embedded devices bootable
 flash-kernel-installer - Make the system bootable (udeb)
Closes: 594878 612376 620888 626434 631396
Changes: 
 flash-kernel (3.0~rc.1) experimental; urgency=low
 .
   [ Loïc Minier ]
   * Bump Standards-Version to 3.9.2.
   * Add a testsuite and run it during build; change code a bit to be more
     easily tested.
   * Start reworking flash-kernel to be more data-driven.
     - Keep some machine data in a small embedded RFC 2822 style database; such
       as allowed kernel flavors, machine id to set before booting Linux,
       MTD names, U-Boot load addresses, /boot filenames etc.
     - Simplify code in the main "case" statement as much as possible by using
       functions for common code and splitting error handling, initialization,
       and sanity checks out.
     - Various syntax tweaks.
   * Only allow iop32x kernels on GLAN Tank.
   * Fix Lintian warnings.
     - Quote minus signs in man page.
     - Depend on ${misc:Depends}.
   * Add myself to Uploaders at tbm's proposal.
   * Add myself to flash-kernel's Copyright and to debian/copyright; thanks
     Martin Michlmayr.
 .
   [ Hector Oron ]
   * Add armhf to architecture list (Closes: #620888)
     - add mx5 as armhf subarchitecture
   * Add myself to Uploaders field.
   * Add preliminary mv78xx0 support. (Closes: #594878)
   * Add build dependency on devio, needed to run test-suite.
   * Upgrade major version to 3.0~rc.1
   * Add support for Genesi Efika MX nettops and smarttops. (Closes: #612376)
   * Add preliminary U-Boot script support (Closes: #626434)
 .
   [ Julian Andres Klode ]
   * Support for Toshiba AC100 (Closes: #631396)
 .
   [ Martin Michlmayr ]
   * Remove myself from the Uploaders field.
 .
   [ Updated translations ]
   * Bulgarian (bg.po) by Damyan Ivanov
   * German (de.po) by Holger Wansing
   * Esperanto (eo.po) by Felipe Castro
   * Basque (eu.po)
   * Hebrew (he.po) by Lior Kaplan
   * Italian (it.po) by Milo Casagrande
   * Korean (ko.po) by Changwoo Ryu
   * Macedonian (mk.po) by Arangel Angov
   * Romanian (ro.po) by Eddy Petrișor
   * Sinhala (si.po) by Danishka Navin
   * Slovak (sk.po) by Ivan Masár
   * Swedish (sv.po) by Daniel Nylander
   * Uyghur (ug.po) by Sahran
   * Simplified Chinese (zh_CN.po) by YunQiang Su
Checksums-Sha1: 
 80f72d07827f3e3fb0311e6400415b70d79e4cbd 1669 flash-kernel_3.0~rc.1.dsc
 98db3b825cbdcf449e82a42173c32f45b6d5a657 48850 flash-kernel_3.0~rc.1.tar.gz
 6561090adec3efa743950bba9557c28fc736fd57 19564 flash-kernel_3.0~rc.1_armel.deb
 db5018e174417a7c0b92ecfbc2398e0e6a98b510 12400 flash-kernel-installer_3.0~rc.1_armel.udeb
Checksums-Sha256: 
 0b3de1beb920ebdc80285f2312b0a195d042fce1b6ff83209afdb487d62af265 1669 flash-kernel_3.0~rc.1.dsc
 422619dc4ade7c490f3139a8386ed72e224a16983882a0baa35aca0252e65485 48850 flash-kernel_3.0~rc.1.tar.gz
 cce2713506fe636b5ca1ee930832cc7253da4c63ef93e2ef7e19257ec248a9e2 19564 flash-kernel_3.0~rc.1_armel.deb
 d703cb113b906edb16a7e8a882e1f82406d8fb734bd1720a1d911ddfc186c711 12400 flash-kernel-installer_3.0~rc.1_armel.udeb
Files: 
 ad0f758094ba7f81bfbb9c65f4786c45 1669 utils optional flash-kernel_3.0~rc.1.dsc
 8af5f8bef0803d1f56b947218338cd0b 48850 utils optional flash-kernel_3.0~rc.1.tar.gz
 8269fbc9175d560b3e93a9a0b2ce76ef 19564 utils optional flash-kernel_3.0~rc.1_armel.deb
 2847a63ac08f876984297eaabb1734b7 12400 debian-installer standard flash-kernel-installer_3.0~rc.1_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOVOxjAAoJEK8ig6p24qx7ujEP/0B4HCtmv+Gs275pirssHdDB
yG2lB6FgMqCMlIQAuW7i4fyp7NpVpCNRVSovHDJk4ESOdSMXzLWnKRZw42DAfAQc
BQQTFKprJYk40LhgZt6Kk0d6hkq2op3H6YQGGaZQCgWgY2mGio2fptEImEraPn1+
Lz0XCg7Sl9fmoh9jswtsxYk344xHF+j1MVwqWRhytb3Ho1ouEjILgGOcWD8tyN97
kQlkCzdd0z75D78aIltv3zfC04hmTamX5CGXzSj8Y5wTGhOTYf+0k3ysw85Ub9UP
gslEOPy7zdGIgNQ9N29JT+8jvhBI1X1ig7Kwl4QJuzi0RaWYhPjiHv//gl849tVu
X0UHjBQ9+fz4bwDR/aNi3dp/MRZNH94f0Cec0l8No0irQDAADuW3WELijwrbj99H
Af4EmKeEmkDqkkX/wDLNWBxB6gggjEdVUhV5NZHZlMRgkiZC3VPnb+q25LkA1AKm
E2rzF+s7da3lTcnUIekbRMJRVMYVE4ZlRdX7kwYKveo3/lydl+99nwEFZJ+551Ph
W7Cm9wzpCGomciP3xH7pP4+JBg/h3QBzI9a765vveuHm3fZXx/93jzSPfUZq9+5L
+SG3S6QbpbtEFj+HGbpUb1FBZ5AGDyUSCXKnejdxphmBHbx29QBPSQUBZExvRB3t
NhhU3FKF6uU5wMjK0yGc
=D/ZR
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: